/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _CHATSNDWIN_
#define _CHATSNDWIN_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qpushbt.h>
#include <qgrpbox.h>
#include <qdialog.h>
#include <qlined.h>
#include <qlabel.h>
#include <qmlined.h>

#include "icqwindow.h"

class ChatSndWindow : public IcqWindow {
  Q_OBJECT
public:
  ChatSndWindow(const QString &, unsigned long, const QString &);
  ~ChatSndWindow(void);
  void setUIN(unsigned long);
  void setName(const QString &);
  void setEMail(const QString &);
  void stopCommand(void);
  void saveHistory(void);
public slots:
signals:
protected:
  unsigned long uin;
  long sendSeq;
  QString message;
  void resizeEvent(QResizeEvent *);
protected slots:
  void sendChatReq(void);
  void cancelChatReq(void);
  void infoRequest(void);
private:
  void CrashGuard(void);
  QGroupBox *toBox;
  QPushButton *sendBtn, *cancelBtn, *infoBtn;
  QLineEdit *uinLine, *handleLine, *emailLine;
  QLabel *uinLabel, *handleLabel, *emailLabel, *editLabel, *updateAnim;
  QMultiLineEdit *editBox;
private slots:
};
#endif /* _CHATSNDWIN_ */
