/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
// $Id: systemitem.cpp,v 1.4 2000/10/14 21:00:50 davidvh Exp $
// $Log: systemitem.cpp,v $
// Revision 1.4  2000/10/14 21:00:50  davidvh
// Minor fixes.
//
// Revision 1.3  2000/09/14 01:04:34  napalmbox
// sound fixed
//
// Revision 1.2  2000/09/13 19:11:12  napalmbox
// replase kicq ver 1.0.0 files with kicq ver 2.0.0 files
//
// Revision 1.1.2.3  2000/09/02 21:41:12  napalmbox
// fix fix fix ....a big fix
//
// Revision 1.1.2.2  2000/07/24 17:00:27  napalmbox
// smoll fix...
//
// Revision 1.1.2.1  2000/07/02 05:45:54  napalmbox
// port kicq -> kde2 :))
//
// Revision 1.1  2000/06/17 17:38:03  denis
// Contact List code was rewritten from scratch! Although we are trying
// to not add new features in anticipation of the next stable release,
// but this rewrite solves many things, removes many hacks and stabilizes
// whole program.
// One of bug, needs to mention, is an absence of IP address in Info
// window. The root of problem was in Contact List, because in any time
// there were several ContactItems in memory for single user - they were
// "smeared" on the whole code. Now it's clean and strict - all Contact
// List operations can be done only by ContactList class.
//

#include <stdlib.h>
#include "main.h"
#include "systemitem.h"
//#include "mainwindow.h" temp

SystemItem::SystemItem() : WBlinkListBoxItem()
{
  setText(i18n("System Notice"));
  pm_last = UserIcon("gray2");
  pm_stat = UserIcon("null");

  pmap_null = UserIcon("null");
  pmap_auth = UserIcon("auth");

  setPaintMode(VANISH);
  setPixmap(1,pmap_null);
  setPixmap(0,pmap_auth);
  return;
}

SystemItem::~SystemItem(void)
{
  return;
}

void SystemItem::paint(QPainter *p)
{
  QFont f = p->font();
  QFontMetrics fm = p->fontMetrics();

  if(isBlinkingFlag)
  {
    const QPixmap *pm_active = activePixmap();
    setPixmapXY(3, (QMAX(pm_active->height()+6, fm.lineSpacing())-pm_active->height())/2);
    WBlinkListBoxItem::paint(p);
  }
  else
  {
    p->drawPixmap(3, (QMAX(pm_last.height()+6, fm.lineSpacing())-pm_last.height())/2, pm_last);
    p->drawPixmap(3, (QMAX(pm_stat.height()+6, fm.lineSpacing())-pm_stat.height())/2, pm_stat);
  }

  int yPos = fm.ascent();
  if (pm_last.height() < fm.height())
    yPos += fm.leading()/2;
  else
    yPos += (pm_last.height()+6)/2 - fm.height()/2;
  p->drawText(pm_last.width() + 7, yPos, text());
  return;
}

int SystemItem::height(const QListBox *lb) const
{
  return QMAX(pm_last.height()+6, lb->fontMetrics().lineSpacing()+1);
}

int SystemItem::width(const QListBox *lb) const
{
  return pm_last.width() + lb->fontMetrics().width(text()) + 6;
}

const QPixmap *SystemItem::pixmap_last(void)
{
  return &pm_last;
}

const QPixmap *SystemItem::pixmap_stat(void)
{
  return &pm_stat;
}
