/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _FILESNDWIN_
#define _FILESNDWIN_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qpushbt.h>
#include <qgrpbox.h>
#include <qdialog.h>
#include <qlined.h>
#include <qlabel.h>
#include <qmlined.h>

#include "icqwindow.h"

class FileSndWindow : public IcqWindow {
  Q_OBJECT
public:
  FileSndWindow(const QString &, unsigned long, const QString &);
  ~FileSndWindow(void);
  void setUIN(unsigned long);
  void setName(const QString &);
  void setEMail(const QString &);
  void stopCommand(void);
  void saveHistory(void);
public slots:
signals:
protected:
  unsigned long uin;
  QString message;
  long sendSeq;

  QGroupBox *toBox;
  QPushButton *sendBtn, *cancelBtn, *selectBtn, *infoBtn;
  QLineEdit *uinLine, *handleLine, *emailLine;
  QLabel *uinLabel, *handleLabel, *emailLabel;
  QMultiLineEdit *editBox;
  QLabel *editLabel;
  QLabel *updateAnim;
  char **files;

  void resizeEvent(QResizeEvent *);
protected slots:
  void sendFileReq(void);
  void cancelFileReq(void);
  void infoRequest(void);
  void selectFileReq(void);
private:
  void CrashGuard(void);
private slots:
};
#endif /* _FileSNDWIN_ */
