//
// $Id: icqchatsession.cpp,v 1.1 2001/01/17 01:54:23 bills Exp $
//
// Wrapper class for icqlib's icq_ChatSession struct.
//
// $Log: icqchatsession.cpp,v $
// Revision 1.1  2001/01/17 01:54:23  bills
// added
//
//
//

#include "icqchatsession.h"

#include "icqchatsession.moc"

IcqChatSession::IcqChatSession(icq_ChatSession *psession)
  : m_session(psession)
{
  return;
}

IcqChatSession::~IcqChatSession(void)
{
  return;
}

void IcqChatSession::chatNotify(int type, int arg, void *_data)
{
  if(type == CHAT_NOTIFY_STATUS)
    emit statusChanged(arg);
  if(type == CHAT_NOTIFY_DATA)
    emit data(arg, _data);
  if(type == CHAT_NOTIFY_CLOSE)
    emit closed();
  return;
}

unsigned long IcqChatSession::remoteUIN(void) const
{
  return m_session->remote_uin;
}

QString IcqChatSession::remoteHandle(void) const
{
  return QString().sprintf("%s", m_session->remote_handle);
}

void IcqChatSession::sendData(const char *data)
{
  icq_ChatSessionSendData(m_session, data);
}

void IcqChatSession::sendData_n(const char *data, int length)
{
  icq_ChatSessionSendData_n(m_session, data, length);
}

void IcqChatSession::close(void)
{
  icq_ChatSessionClose(m_session);
}
