//
// $Id: icqfilesession.h,v 1.1 2001/01/17 01:54:23 bills Exp $
//
// Wrapper class for icqlib's icq_FileSession struct.
//
// $Log: icqfilesession.h,v $
// Revision 1.1  2001/01/17 01:54:23  bills
// added
//
// Revision 1.4  2000/10/14 21:00:50  davidvh
// Minor fixes.
//
// Revision 1.3  2000/10/13 22:46:00  napalmbox
// clean up...
//
// Revision 1.2  2000/09/30 20:05:40  napalmbox
// big update
//
// Revision 1.1  2000/05/24 16:57:49  denis
// Sources have been splitted to the whole bunch of appropriate
// directories. Every directory is end up with static library. All
// of them are linked together to the final kicq binary.
//
// Revision 1.1  2000/05/04 16:08:40  bills
// added
//
//

#ifndef _ICQFILESESSION_
#define _ICQFILESESSION_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qobject.h>
#include <qstrlist.h>
#include <icq.h>

class IcqFileSession : public QObject {
  Q_OBJECT
public:
  IcqFileSession(icq_FileSession *psession);
  ~IcqFileSession(void);
  void fileNotify(int type, int arg, void *data);
  void setSpeed(int speed);
  void setWorkingDir(const QString &directory);
  void setFiles(const QStrList &files);
  void close(void);
  bool isTransferring(void) const;
  bool isSending(void) const;
  bool isReceiving(void) const;
  unsigned long remoteUIN(void) const;
  QString remoteHandle(void) const;
  int totalFiles(void) const;
  int currentFileNumber(void) const;
  unsigned long totalProgress(void) const;
  unsigned long totalSize(void) const;
  QString workingDir(void) const;
  QString currentFile(void) const;
  unsigned long currentFileSize(void) const;
  unsigned long currentFileProgress(void) const;
  int speed(void) const;
signals:
  void statusChanged(int status);
  void speedChanged(int speed);
  void progress(unsigned long currentProgress, 
    unsigned long totalProgress);
  void closed();
private:
  icq_FileSession *m_session;
};
#endif // _FILESESSION_
