//
// $Id: kicqlibmanager.h,v 1.1 2001/02/22 06:01:40 bills Exp $
//
// $Log: kicqlibmanager.h,v $
// Revision 1.1  2001/02/22 06:01:40  bills
// added, supports sockets and timeouts
//
//
//

#ifndef _KICQLIBMANAGER_H
#define _KICQLIBMANAGER_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qobject.h>
#include <qintdict.h>
#include <qsocketnotifier.h>
#include <qtimer.h>

#include "icqlibmanager.h"

class KICQLibManager : public QObject, public IcqlibManager {

  Q_OBJECT

public:
  KICQLibManager();

protected:
  virtual void installSocketNotifier(int socket, int type);
  virtual void removeSocketNotifier(int socket, int type);
  virtual void startTimeout(long seconds);

protected slots:
  void socketReadReady(int socket);
  void socketWriteReady(int socket);
  void timeout();

private:
  QIntDict<QSocketNotifier> readSocketNotifiers;
  QIntDict<QSocketNotifier> writeSocketNotifiers;
  QTimer timer;

};

#endif // _KICQLIBMANAGER_H
