/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
// $Id: infoaddr.cpp,v 1.6 2001/05/23 23:57:00 denis Exp $
// $Log: infoaddr.cpp,v $
// Revision 1.6  2001/05/23 23:57:00  denis
// Warning cleanup.
//
// Revision 1.5  2000/10/12 22:52:36  napalmbox
// some "polish" ...
//
// Revision 1.4  2000/09/30 19:49:25  napalmbox
// big update
//
// Revision 1.3  2000/09/13 19:11:13  napalmbox
// replase kicq ver 1.0.0 files with kicq ver 2.0.0 files
//
// Revision 1.2.2.1  2000/07/02 05:45:55  napalmbox
// port kicq -> kde2 :))
//
// Revision 1.2  2000/06/25 18:11:50  denis
// Frequent absence of country name was fixed!
//
// Revision 1.1  2000/05/24 16:58:18  denis
// Sources have been splitted to the whole bunch of appropriate
// directories. Every directory is end up with static library. All
// of them are linked together to the final kicq binary.
//
// Revision 1.9  2000/01/10 16:08:28  denis
// Headers reorganized for simplify dependencies and speedup compilation.
//
// Revision 1.8  1999/07/23 12:37:34  denis
// Layout management support implemented.
// Cleaned up.
//
// Revision 1.7  1999/07/16 15:48:09  denis
// Cleaned up.
//
// Revision 1.6  1999/07/16 13:10:57  denis
// Internalization support added.
//
// Revision 1.5  1999/07/12 15:23:23  cproch
// - changed icq_* function calls and callback function to support
//   icqlib with ICQLINK identifier.
// - look for FIXME in mainwindow.cpp
//
// Revision 1.4  1998/12/08 16:17:26  denis
// Cleaned up a little before releasing
//

#include <icq.h>
#include <qwidget.h>
#include <qlayout.h>
#include <qbuttongroup.h>
#include <qdatetime.h>
#include <qtimer.h>
#include "main.h"
#include "corewidget.h"
#include "mydetailspics.h"
#include "infoaddr.h"

#include "infoaddr.moc"

AddrWidget::AddrWidget(QWidget *parent) : QWidget(parent)
{
  QButtonGroup *homebox = new QButtonGroup(this);
  homebox->setGeometry(2, 6, 404, 121);
  homebox->setFrameStyle(QFrame::Box | QFrame::Sunken);
  homebox->setTitle(i18n("Home Address"));

  QLabel *stlabel = new QLabel(i18n("Street"),homebox);
  stlabel->setGeometry(10, 18, 45, 16);
  stlabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  stlabel->setFrameStyle(QFrame::NoFrame);
  stlabel->setAlignment(AlignLeft | AlignVCenter);

  QLabel *adrlabel = new QLabel(i18n("Address:"),homebox);
  adrlabel->setGeometry(10, 33, 54, 19);
  adrlabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  adrlabel->setFrameStyle(QFrame::NoFrame);
  adrlabel->setAlignment(AlignLeft | AlignVCenter);

  addressline = new MLine(homebox, true);
  addressline->setGeometry(66, 18, 140, 62);
  addressline->setFrameStyle(QFrame::WinPanel | QFrame::Sunken);

  mapbut = new QPushButton(homebox);
  mapbut->setGeometry(66, 92, 140, 20);
  mapbut->setText(i18n("Display Map"));

  QLabel *citylabel = new QLabel(i18n("City:"),homebox);
  citylabel->setGeometry(220, 18, 32, 20);
  citylabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  citylabel->setFrameStyle(QFrame::NoFrame);
  citylabel->setAlignment(AlignLeft | AlignVCenter);

  cityline = new ULine(homebox,true);
  cityline->setGeometry(285, 18, 110, 20);
  cityline->setFocusPolicy(QWidget::NoFocus);

  QLabel *statelabel = new QLabel(i18n("State:"),homebox);
  statelabel->setGeometry(220, 43, 48, 20);
  statelabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  statelabel->setFrameStyle(QFrame::NoFrame);
  statelabel->setAlignment(AlignLeft | AlignVCenter);

  stateline = new ULine(homebox,true);
  stateline->setGeometry(285, 43, 110, 20);
  stateline->setFocusPolicy(QWidget::NoFocus);

  QLabel *ziplabel = new QLabel(i18n("Zip Code:"),homebox);
  ziplabel->setGeometry(220, 67, 61, 20);
  ziplabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  ziplabel->setFrameStyle(QFrame::NoFrame);
  ziplabel->setAlignment(AlignLeft | AlignVCenter);

  zipline = new ULine(homebox,true);
  zipline->setGeometry(285, 67, 110, 20);
  zipline->setFocusPolicy(QWidget::NoFocus);

  QLabel *countrylabel = new QLabel(i18n("Country:"),homebox);
  countrylabel->setGeometry(220, 92, 56, 18);
  countrylabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  countrylabel->setFrameStyle(QFrame::NoFrame);
  countrylabel->setAlignment(AlignLeft | AlignTop);

  countryline = new ULine(homebox,true);
  countryline->setGeometry(285, 92, 110, 20);
  countryline->setFocusPolicy(QWidget::NoFocus);
////////////////////////////////////////////////////////////////////////////////////////////////////////////////

  QButtonGroup *phbox = new QButtonGroup(this);
  phbox->setGeometry(2, 131, 404, 119);
  phbox->setFrameStyle(QFrame::Box | QFrame::Sunken);

  QLabel *timelabel = new QLabel(i18n("Your Time:"),phbox);
  timelabel->setGeometry(239, 60, 63, 20);
  timelabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  timelabel->setFrameStyle(QFrame::NoFrame);
  timelabel->setAlignment(AlignLeft | AlignVCenter);


  timeline = new ULine(phbox,true);
  timeline->setGeometry(308, 60, 85, 20);
  timeline->setAlignment(Qt::AlignHCenter);

  QLabel *utimelabel = new QLabel(("User Time:"),phbox);
  utimelabel->setGeometry(239, 90, 69, 20);
  utimelabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  utimelabel->setFrameStyle(QFrame::NoFrame);
  utimelabel->setAlignment(AlignLeft | AlignVCenter);

  utimeline = new ULine(phbox,true);
  utimeline->setGeometry(308, 90, 85, 20);
  utimeline->setFocusPolicy(QWidget::NoFocus);
  utimeline->setAlignment(Qt::AlignHCenter);

  QLabel *gmtlabel = new QLabel(i18n("Offset:"),phbox);
  gmtlabel->setGeometry(239, 10, 42, 20);
  gmtlabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  gmtlabel->setFrameStyle(QFrame::NoFrame);
  gmtlabel->setAlignment(AlignLeft | AlignVCenter);

  gmtcombo = new QComboBox((bool)0,phbox);
  gmtcombo->setGeometry(285, 10, 110, 20);
  gmtcombo->insertItem(i18n("(GMT +02:00)"));

  gmtcheck = new QCheckBox(phbox);
  gmtcheck->setGeometry(239, 33, 151, 20);
  gmtcheck->setFont(QFont("Helvetica", 11, QFont::Normal, (int)0));
  gmtcheck->setText(i18n("Override user GMT settings"));
///////////////////////////////////////////////////////////////////////////////////////
  QLabel *phlabel = new QLabel(i18n("Phone:"),phbox);
  phlabel->setGeometry(10, 20, 44, 20);
  phlabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  phlabel->setFrameStyle(QFrame::NoFrame);
  phlabel->setAlignment(AlignLeft | AlignVCenter);

  phline = new ULine(phbox,true);
  phline->setGeometry(66, 20, 140, 20);
  phline->setFocusPolicy(QWidget::NoFocus);

  QLabel *phico = new QLabel(phbox);
  phico->setGeometry(210, 22, 18, 17);
  phico->setFrameStyle(QFrame::NoFrame);
  phico->setAlignment(AlignHCenter | AlignVCenter);
  phico->setPixmap(QPixmap(ph_xpm));

///////////////////////////////////////////////////////////
  QLabel *faxlabel = new QLabel(i18n("Fax:"),phbox);
  faxlabel->setGeometry(10, 54, 34, 20);
  faxlabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  faxlabel->setFrameStyle(QFrame::NoFrame);
  faxlabel->setAlignment(AlignLeft | AlignVCenter);

  faxline = new ULine(phbox,true);
  faxline->setGeometry(66, 54, 140, 21);
  faxline->setFocusPolicy(QWidget::NoFocus);

  QLabel *faxico = new QLabel(phbox);
  faxico->setGeometry(210, 57, 18, 17);
  faxico->setFrameStyle(QFrame::NoFrame);
  faxico->setAlignment(AlignHCenter | AlignVCenter);
  faxico->setPixmap(QPixmap(fax_xpm));
/////////////////////////////////////////////////////////////
  QLabel *celllabel = new QLabel(i18n("Cellular:"),phbox);
  celllabel->setGeometry(10, 90, 49, 20);
  celllabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  celllabel->setFrameStyle(QFrame::NoFrame);
  celllabel->setAlignment(AlignLeft | AlignVCenter);

  cellline = new ULine(phbox,true);
  cellline->setGeometry(66, 90, 140, 20);
  cellline->setFocusPolicy(QWidget::NoFocus);

  QLabel *cellico = new QLabel(phbox);
  cellico->setGeometry(210, 92, 18, 17);
  cellico->setFrameStyle(QFrame::NoFrame);
  cellico->setAlignment(AlignHCenter | AlignVCenter);
  cellico->setPixmap(QPixmap(cell_xpm));

}

void AddrWidget::setInfo(const QString &pcity, const QString &pstate, const QString &pzip,
                         unsigned short pcountry, unsigned char pcountry_stat,
                         const QString &ptime, const QString &pphone)
{
  if(pcity!=0)  { cityline->setText(pcity);   }else{ cityline->setText(i18n("Not Entered"));}
  if(pstate!=0) { stateline->setText(pstate); }else{ stateline->setText(i18n("Not Entered"));}

  zipline->setText(pzip);

  if(pcountry)
    countryline->setText(icq_GetCountryName(pcountry));
  else
    countryline->setText(i18n("Not Entered"));
  utimeline->setText(ptime);

  time_t te = time(NULL);
  QDateTime t;
  t.setTime_t(te);
  timeline->setText(t.time().toString());

  QTimer *updatetime = new QTimer(this);
  connect(updatetime, SIGNAL(timeout()), this, SLOT(slotUpdateTime()));
  updatetime->start(1000);

  if(phline!=0) { phline->setText(pphone); }else{ phline->setText(i18n("Not Entered"));}

}

void AddrWidget::slotUpdateTime()
{
  QDateTime t;
  t.setTime_t(time(NULL));
  timeline->setText(timeline->text().replace(0, t.time().toString().length(), t.time().toString()));
}
