/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
// $Id: infomain.cpp,v 1.5 2000/09/30 19:49:25 napalmbox Exp $
// Revision 1.2.2.1  2000/07/02 05:45:55  napalmbox
// port kicq -> kde2 :))
//
// Revision 1.2  2000/05/29 02:14:39  bills
// minor spelling/grammar fixes
//
// Revision 1.1  2000/05/24 16:58:18  denis
// Sources have been splitted to the whole bunch of appropriate
// directories. Every directory is end up with static library. All
// of them are linked together to the final kicq binary.
//
// Revision 1.19  2000/04/09 18:32:27  denis
// Cleanups.
//
// Revision 1.18  2000/04/07 13:30:22  guruz
// Checks for valid IP in the info dialog
//
// Revision 1.17  2000/01/10 16:08:30  denis
// Headers reorganized for simplify dependencies and speedup compilation.
//
// Revision 1.16  1999/12/12 18:08:28  denis
// Existing kapp->topWidget()'s chnaged to MW macros.
//
// Revision 1.15  1999/12/02 14:24:13  denis
// Cleanups.
//
// Revision 1.14  1999/11/21 18:55:34  guruz
// Added "Send E-Mail" in User List Context Menu
//
// Revision 1.13  1999/10/15 02:52:12  kyle
// infomain.cpp - fixed compiler warnings
// infowindow.cpp - fixed gender
// kurllineedit.cpp - fixed disable behavior
//
// Revision 1.12  1999/10/06 19:11:03  denis
// Cleanups.
//
// Revision 1.11  1999/10/05 17:42:37  guruz
// Changed some visual things
//
// Revision 1.10  1999/10/03 19:07:37  guruz
// There is now the possibility to open URLs that are in the URL Line Edits !
//
// Revision 1.9  1999/10/02 12:35:42  guruz
// Changed some things in the KLineEditWithPopupMenu
// Made Homepage Info Line Edit Popup Menu
//
// Revision 1.8  1999/09/29 17:29:40  denis
// Markus Goetz <guruz@gmx.de> patches applied.
//
// Revision 1.7  1999/07/23 12:37:36  denis
// Layout management support implemented.
// Cleaned up.
//
// Revision 1.6  1999/07/16 15:48:11  denis
// Cleaned up.
//
// Revision 1.5  1999/07/16 13:11:20  denis
// Internalization support added.
//
// Revision 1.4  1998/12/08 16:17:47  denis
// Cleaned up a little before releasing
//

#include <stdlib.h>
#include <qbuttongroup.h>
#include <qheader.h>
#include "infomain.h"
#include "kwebbrowser.h"
#include "mainwindow.h"
#include "corewidget.h"
#include "mydetailspics.h"

#include "infomain.moc"

MainWidget::MainWidget(QWidget *parent) : QWidget(parent)
{

  QButtonGroup *icqbox = new QButtonGroup(this);
  icqbox->setGeometry(2, 6, 404, 48);
  icqbox-> setFrameStyle(QFrame::Box | QFrame::Sunken);
  icqbox->setTitle(i18n("ICQ Number"));

  QLabel *icon = new QLabel(icqbox);
  icon->setGeometry(10, 20, 16, 16);
  icon->setFrameStyle(QFrame::NoFrame);
  icon->setPixmap(QPixmap(uin_xpm));
  icon->setAlignment(AlignHCenter | AlignVCenter);

  QLabel *uinlabel = new QLabel(i18n("ICQ#:"),icqbox);
  uinlabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  uinlabel->setGeometry(36, 18, 42, 20);
  uinlabel->setAlignment(AlignHCenter | AlignVCenter);
  uinlabel->setFrameStyle(QFrame::NoFrame);

  uinline = new ULine(icqbox,true);
  uinline->setGeometry(84, 18, 110, 20);
  uinline->setFocusPolicy(QWidget::NoFocus);
  uinline->setAlignment(Qt::AlignHCenter);

  QLabel *iplabel = new QLabel(i18n("C/L IP:"),icqbox);
  iplabel->setGeometry(231, 16, 39, 20);
  iplabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  iplabel->setFrameStyle(QFrame::NoFrame);
  iplabel->setAlignment(AlignLeft | AlignVCenter);


  ipline = new ULine(icqbox,true);
  ipline->setGeometry(276, 18, 115, 20);
  ipline->setFocusPolicy(QWidget::NoFocus);

////////////////////////////////////////////////////////////////////////////////////////////////////////////

  QButtonGroup *namebox = new QButtonGroup(this);
  namebox->setGeometry(2, 55, 404, 78);
  namebox->setFrameStyle(QFrame::Box | QFrame::Sunken);
  namebox->setTitle(i18n("Name"));

  QLabel *firstlabel = new QLabel(i18n("First Name:"),namebox);
  firstlabel->setGeometry(10, 18, 70, 20);
  firstlabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  firstlabel->setFrameStyle(QFrame::NoFrame);
  firstlabel->setAlignment(AlignLeft | AlignVCenter);

  firstline = new ULine(namebox,true);
  firstline->setGeometry(84, 18, 110, 20);
  firstline->setFocusPolicy(QWidget::NoFocus);

  QLabel *lastlabel = new QLabel(i18n("Last Name:"),namebox);
  lastlabel->setGeometry(202, 18, 70, 20);
  lastlabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));

  lastline = new ULine(namebox,true);
  lastline->setGeometry(276, 18, 115, 20);
  lastline->setFocusPolicy(QWidget::NoFocus);

  QLabel *nicklabel = new QLabel(i18n("Nickname:"),namebox);
  nicklabel->setGeometry(10, 48, 70, 19);
  nicklabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  nicklabel->setFrameStyle(QFrame::NoFrame);
  nicklabel->setAlignment(AlignLeft | AlignVCenter);

  nickline = new ULine(namebox,true);
  nickline->setGeometry(84, 48, 110, 20);
  nickline->setFocusPolicy(QWidget::NoFocus);

  QLabel *dsplabel = new QLabel(i18n("Display:"),namebox);
  dsplabel->setGeometry(202, 48, 70, 20);
  dsplabel->setFrameStyle(QFrame::NoFrame);
  dsplabel->setAlignment(AlignLeft | AlignVCenter);

  dspcombo = new QComboBox((bool)0,namebox);
  dspcombo->setGeometry(276, 48, 115, 20);


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

  QButtonGroup *emailbox = new QButtonGroup(this);
  emailbox->setGeometry(2, 136, 404, 114);
  emailbox->setFrameStyle(QFrame::Box | QFrame::Sunken);
  emailbox->setTitle(i18n("Email Addresses"));

  emailline = new QListView(emailbox);
  emailline->setGeometry(10, 18, 271, 84);
  emailline->addColumn(i18n("icon"),20);
  emailline->addColumn(i18n("Type"));
  emailline->addColumn(i18n("email"));
  emailline->header()->hide();
  emailline->setAllColumnsShowFocus(TRUE);

  addbut = new QPushButton(emailbox);
  addbut->setGeometry(295, 16, 95, 20);
  addbut->setText(i18n("Add"));

  editbut = new QPushButton(emailbox);
  editbut->setGeometry(295, 38, 95, 20);
  editbut->setText(i18n("Edit"));

  rembut = new QPushButton(emailbox);
  rembut->setGeometry(295, 61, 95, 20);
  rembut->setText(i18n("Remove"));

  setbut = new QPushButton(emailbox);
  setbut->setGeometry(295, 84, 95, 20);
  setbut->setText(i18n("Set as Default"));



}

void MainWidget::setInfo(unsigned long puin, unsigned long pip, const QString &pnick, const QString &pemail, const QString &pfirst, const QString &plast)
{

  emailline->clear();
  QString stmp;
  stmp.setNum(puin);
  uinline->setText(stmp);
  if(pip!=0)
  {
    stmp.sprintf("%i.%i.%i.%i", (int)((pip >> 24) & 0x000000ff),(int)((pip >> 16) & 0x000000ff),
                 (int)((pip >> 8) & 0x000000ff), (int)(pip & 0x000000ff));
    IPvalid = true;
  }
  else
  {
    stmp = i18n("N/A");
    IPvalid = false;
  }
  ipline->setText(stmp);

  QString icon, first ,last;

  if(pnick!=0) { nickline->setText(pnick);   }else{ nickline->setText(i18n("Not Entered"));}
  if(pfirst!=0){ firstline->setText(pfirst); }else{ firstline->setText(i18n("Not Entered"));}
  if(plast!=0) { lastline->setText(plast);   }else{ lastline->setText(i18n("Not Entered"));}
  if(pemail!=0){
  icon="puemail";
  first= i18n("Primary ");
  last = pemail;
  }else{
  icon="tfake";
  first=QString::null;
  last = i18n("Not Entered");
  }
  QPixmap pm = UserIcon(icon);
  QListViewItem *mail=new QListViewItem(emailline);
  mail->setPixmap(0, pm);
  mail->setText(1, first);
  mail->setText(2, last);
  emailline->update();

  dspcombo->insertItem(nickline->text());
  dspcombo->insertItem(firstline->text());
  dspcombo->insertItem(lastline->text());
  dspcombo->insertItem(firstline->text()+" "+lastline->text());
}

void MainWidget::slotMail()
{
 // MW->mailRequest(emailline->currentItem(text(2)));
}

void MainWidget::slotConnectToHTTP()
{
  if(isIPValid())
    KWebBrowser::callWebBrowser(QString("http://") + ipline->text());
  else
    QMessageBox::warning(this, i18n("Error"), i18n("Cannot determinate IP of this user!"));
}

void MainWidget::slotPager()
{
  KWebBrowser::callWebBrowser(QString("http://wwp.mirabilis.com/") + uinline->text());
}

