/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
// $Id: main.cpp,v 1.12 2001/05/25 00:54:02 denis Exp $
// Revision 1.10.2.3  2000/07/08 20:58:11  napalmbox
// :))))
//
// Revision 1.10.2.2  2000/07/02 06:04:01  napalmbox
// add splash ...
//
// Revision 1.10.2.1  2000/07/02 05:45:54  napalmbox
// port kicq -> kde2 :))
//
// Revision 1.10  2000/01/10 16:08:43  denis
// Headers reorganized for simplify dependencies and speedup compilation.
//
// Revision 1.9  1999/12/02 14:25:27  denis
// Session management enabled.
//
// Revision 1.8  1999/07/16 15:48:19  denis
// Cleaned up.
//
// Revision 1.7  1999/07/16 13:11:33  denis
// Internalization support added.
//
// Revision 1.6  1999/07/12 15:23:25  cproch
// - changed icq_* function calls and callback function to support
//   icqlib with ICQLINK identifier.
// - look for FIXME in mainwindow.cpp
//
// Revision 1.5  1999/03/24 11:52:45  denis
// Some work on command line options started
//
// Revision 1.4  1998/12/08 16:19:01  denis
// Cleaned up a little before releasing
//
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include "main.h"
#include <kapp.h>
#include <signal.h>

#include "kicqlibmanager.h"
#include "mainwindow.h"
#include "startup.h"

static const char *description = I18N_NOOP("kicq, an ICQ client for KDE");
static const char *version="2.0.0";

static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
};

UConfig *db;

void sighup_handler(int sighup)
{
  MW->setStatus(stOffline);
}

void sigusr1_handler(int sigusr1)
{
  MW->setStatus(stOnline);
}

#include <iostream.h>

int main(int argc, char *argv[])
{
  KAboutData aboutData("kicq", I18N_NOOP("kicq"),
  version,description, KAboutData::License_GPL,"(c) 1998-2001 by kicq team", "http://www.kicq.org");
  aboutData.addAuthor("Denis V. Dmitrienko", 0, "denix@kde.org");
  aboutData.addAuthor("Bill Soudan", 0, "soudan@kde.org");
  KCmdLineArgs::init(argc, argv, &aboutData);
  KCmdLineArgs::addCmdLineOptions(options);
  Startup *start = 0;

  KApplication a;
  icq_LogLevel = 10;

  signal(SIGHUP, sighup_handler);
  signal(SIGUSR1, sigusr1_handler);

  KGlobal::dirs()->addResourceType("kicq_pics", KStandardDirs::kde_default("data") + "kicq/pics");
  KGlobal::dirs()->addResourceType("kicq_sounds", KStandardDirs::kde_default("data") + "kicq/sounds");

  QString dbfile = locateLocal("appdata", "db/");
  db = new UConfig(dbfile + "kicq.udb");

  start = new Startup;
  start->show();

  QTimer::singleShot(5*1000, start, SLOT(close()));

  // Just need to instantiate it
  KICQLibManager icqlibManager;

  MainWindow *win = new MainWindow();
  a.setMainWidget(win);

  int retcode = a.exec();

  RemovePointer(start);
  RemovePointer(db);
  RemovePointer(win);
  return retcode;
}
