/***************************************************************************
    description          : mainpanel.cpp
    begin                : Tue Sep 19 2000
    copyright            : (C) 2000 by Florian Veskov
    email                : napalmbox@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qlayout.h>
#include "mainwindow.h"
#include "corewidget.h"
#include "userlist.h"
#include "systembar.h"
#include "icqanimbutton.h"

void MainWindow::initMainPanel(void)
{
  panelwidget = new QWidget(this);
  grid = new QGridLayout(panelwidget);
  grid->setSpacing(0);
  grid->setMargin(0);

  listwidget = new UserList(panelwidget);
  grid->addMultiCellWidget(listwidget, 2, 2, 0, 3);

  syswidget = new SystemBar(panelwidget);
  syswidget->setMaximumSize(QSize(32767, 27));
  syswidget->setMinimumSize(QSize(0, 27));

  grid->addMultiCellWidget(syswidget, 3, 3, 0, 3);

  menubutton = new IcqAnimButton(panelwidget);
  menubutton->setMaximumSize(QSize(50, 23));
  menubutton->setMinimumSize(QSize(50, 23));

  grid->addMultiCellWidget(menubutton, 5, 5, 0, 1);

  addbutton = new ITButton(panelwidget);
  addbutton->setIT(UserIcon("search2"), i18n("Add/Invite Users"));
  QFont addbutton_font(addbutton->font());
  addbutton_font.setBold(TRUE);
  addbutton->setFont(addbutton_font);
  addbutton->setMaximumSize(QSize(32767, 23));

  grid->addMultiCellWidget(addbutton, 4, 4, 0, 3);

  statebutton = new ConnectButton(panelwidget);
  statebutton->setMaximumSize(QSize(32767, 23));

  grid->addMultiCellWidget(statebutton, 5, 5, 2, 3);

  allbutton = new QToolButton(panelwidget);
  allbutton->setIconSet(UserIcon("all"));
  allbutton->setToggleButton(TRUE);
  allbutton->setMaximumSize(QSize(25, 25));

  grid->addWidget(allbutton, 0, 0);
  spacer = new QSpacerItem(41, 20, QSizePolicy::Expanding, QSizePolicy::Fixed);
  grid->addItem(spacer, 0, 2);
  spacer_2 = new QSpacerItem(20, 3, QSizePolicy::Fixed, QSizePolicy::Fixed);

  grid->addItem(spacer_2, 1, 2);

  groupbutton = new QToolButton(panelwidget);
  groupbutton->setIconSet(UserIcon("groupnoall"));
  groupbutton->setToggleButton(true);
  groupbutton->setMaximumSize(QSize(25, 25));
  grid->addWidget(groupbutton, 0, 1);

  mlabel = new QLabel(panelwidget);
  mlabel->setPixmap(UserIcon("kicqml"));
  mlabel->setScaledContents(FALSE);
  mlabel->setMaximumSize(QSize(68, 25));
  grid->addWidget(mlabel, 0, 3);

  setView(panelwidget, TRUE);
  return;
}

void MainWindow::destroyMainPanel(void)
{
  RemovePointer(mlabel);
  RemovePointer(groupbutton);
  RemovePointer(allbutton);
  RemovePointer(statebutton);
  RemovePointer(addbutton);
  RemovePointer(menubutton);
  RemovePointer(syswidget);
  RemovePointer(listwidget);
  RemovePointer(grid);
  RemovePointer(panelwidget);
  return;
}

void MainWindow::clearMainPanel(void)
{
  panelwidget = 0;
  grid = 0;
  listwidget = 0;
  syswidget = 0;
  menubutton = 0;
  addbutton = 0;
  statebutton = 0;
  allbutton = 0;
  spacer = 0;
  spacer_2 = 0;
  groupbutton = 0;
  mlabel = 0;
  return;
}
