/***************************************************************************
    description          : pref_main.h
    begin                : Wed Apr 12 2000
    copyright            : (C) 2000 by Florian Veskov
    email                : napalmbox@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PREF_MAIN_H
#define PREF_MAIN_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qpushbt.h>
#include <qlabel.h>
#include <qwidget.h>
#include <qlistview.h>
#include <qdialog.h>

class UserWidget;
class LoggingWidget;
class SoundWidget;
class OtherWidget;
class MiscWidget;
class StatWidget;
class AwayWidget;
class BrowserPrefWidget;
class QPPrefWidget;
class ServerWidget;
class ProxyWidget;
class Connections;
class Events;
class QuickBarWidget;
class QuickBarEntry;
class QuickBarEdit;
class SecurityWidget;
class Security;

class Preferences : public QDialog {
  Q_OBJECT
public:
  Preferences();
  ~Preferences();
  void setOwner(unsigned long , const QString & , const QString & );
  unsigned long getOwner();
  void setServer(const QString &, int);
  void setProxy(int, const QString &, unsigned short, int, const QString &, const QString &);
  void setLogging(int, const QString &);
  void setSound(bool, bool clear = FALSE);
  void setOther(int, int, int, int, int);
  void setAway(int, int, bool, bool);
  void setDefault();
  public slots:
signals:
  void changedWidget(QWidget *w);
protected:
  QString selected;
  QListView *prefList;
  UserWidget *userwidget;
  ServerWidget *serverwidget;
  ProxyWidget *proxywidget;
  LoggingWidget *loggingwidget;
  SoundWidget *soundwidget;
  OtherWidget *otherwidget;
  MiscWidget *miscwidget;
  StatWidget *statwidget;
  AwayWidget *awaywidget;
  BrowserPrefWidget *browserwidget;
  Connections *conn;
  Events *event;
  QuickBarWidget *quickbarwidget;
  QuickBarEntry *quickbarentry;
  QuickBarEdit *quickbaredit;
  SecurityWidget *secwidget;
  Security *security;
  void closeEvent(QCloseEvent *);
protected slots:
  void readsize();
  void savesize();
  void accept();
  void curChanged(QListViewItem*);
private:
private slots:
};
#endif
