/***************************************************************************
    description          : pref_quickbar.h
    begin                : Mon Jul 24 2000
    copyright            : (C) 2000 by Florian Veskov
    email                : napalmbox@icqmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef PREF_QUICKBAR_H
#define PREF_QUICKBAR_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qdialog.h>
#include <qstrlist.h>
#include <qwidget.h>
#include <qtabwidget.h>

class QListBox;
class QPushButton;
class QLabel;
class QLineEdit;
class KConfig;


class QuickBarEntry : public QWidget {
  Q_OBJECT
public:
  QuickBarEntry(QWidget *);

protected slots:

void slotToolAdd();
  void slotToolDelete();
  void slotToolMoveUp();
  void slotToolMoveDown();
  void slotShowToolProp(int);
  void slotToolsExeSelect();
  void slotToolsIconSelect();
  void slotOK();
  void slotHelp();
protected:
  void readConfig();
  void writeConfig();
  void swap(int item1,int item2);
  QListBox* tools_listbox;
  QPushButton* add_button;
  QPushButton* delete_button;
  QPushButton* move_up_button;
  QPushButton* move_down_button;
  QPushButton* ok_button;
  QPushButton* cancel_button;
  QPushButton* help_button;
  QLineEdit* executable_edit;
  QLabel* executable_label;
  QLineEdit* menu_text_edit;
  QLabel* menu_text_label;
  QLineEdit* arguments_edit;
  QLabel* arguments_label;
  QPushButton* executable_button, *icon_button;
private:
  KConfig* config;
  QStrList tools_exe;
  QStrList tools_entry;
  QStrList tools_argument;
};
////////////////////////////////////////////////////////////////////////////////////////////////////////
class QuickBarEdit: public QWidget {
    Q_OBJECT
public:
    QuickBarEdit(QWidget *parent = NULL, const char *name = NULL);
protected:

};
//////////////////////////////////////////////////////////////////////////////////////////////////
class QuickBarTab : public QTabWidget {
    Q_OBJECT

public:
    QuickBarTab(QWidget *parent = NULL, const char *name = NULL);

protected:
     QuickBarEntry *quckbarentry;
     QuickBarEdit *quckbaredit;
};
///////////////////////////////////////////////////////////////////////////////////////////////////
class QuickBarWidget : public QWidget {
    Q_OBJECT

public:
    QuickBarWidget(QWidget *parent = NULL, const char *name = NULL);
    QuickBarTab *quickbartab;
protected:
};
#endif

