/***************************************************************************
    description          : pref_status.cpp
    begin                : Wed Apr 12 2000
    copyright            : (C) 2000 by Florian Veskov
    email                : napalmbox@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qlayout.h>
#include "main.h"

#include "pref_status.h"

#include "pref_status.moc"

AwayWidget::AwayWidget(QWidget *parent) : QWidget(parent)
{
  QBoxLayout *topLayout = new QVBoxLayout(this);

  topLayout->addSpacing(7);

  QGroupBox *awaybox = new QGroupBox(i18n("Auto-Away (minutes)"), this);

  QBoxLayout *boxLayout = new QVBoxLayout(awaybox, 10, 7);

  boxLayout->addSpacing(7);

  enablebox = new QCheckBox(i18n("Enable Auto-Away"), awaybox);
  enablebox->setMinimumSize(enablebox->sizeHint());
  boxLayout->addWidget(enablebox);

  QLabel *awaylabel = new QLabel(i18n("Away:"), awaybox);
  awaylabel->setMinimumSize(awaylabel->sizeHint());
  boxLayout->addWidget(awaylabel);

  awayline = new KIntegerLine(awaybox);
  awayline->setMinimumSize(awayline->sizeHint());
  awayline->setMaximumHeight(awayline->sizeHint().height());
  boxLayout->addWidget(awayline, 1);

  awaytonabox = new QCheckBox(i18n("Change to NA if away is set by user"), awaybox);
  awaytonabox->setMinimumSize(awaytonabox->sizeHint());
  boxLayout->addWidget(awaytonabox);

  QLabel *nalabel = new QLabel(i18n("NA:"), awaybox);
  nalabel->setMinimumSize(nalabel->sizeHint());
  boxLayout->addWidget(nalabel);

  naline = new KIntegerLine(awaybox);
  naline->setMinimumSize(naline->sizeHint());
  naline->setMaximumHeight(naline->sizeHint().height());
  boxLayout->addWidget(naline, 1);
  topLayout->addWidget(awaybox);
  topLayout->addStretch(1);

}

void AwayWidget::setInfo(int away, int na, bool enable, bool awaytona)
{
  awayline->setValue(away);
  naline->setValue(na);
  enablebox->setChecked(enable);
  awaytonabox->setChecked(awaytona);
}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
StatTab::StatTab(QWidget *parent, const char *name)
: QTabWidget(parent, name)
{

}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
StatWidget::StatWidget(QWidget *parent, const char *name)
: QWidget(parent, name)
{
  QBoxLayout *topLayout = new QVBoxLayout(this);
  QLabel *mainlabel = new QLabel(i18n(" Status Mode"),this);
  mainlabel->setFont(QFont("Helvetica", 12, QFont::Bold, FALSE));
 QPalette pal;
    QColorGroup cg;
    cg.setColor( QColorGroup::Foreground, QColor( 0, 37, 172) );
    cg.setColor( QColorGroup::Button, QColor( 220, 220, 220) );
    cg.setColor( QColorGroup::Light, white );
    cg.setColor( QColorGroup::Midlight, QColor( 237, 237, 237) );
    cg.setColor( QColorGroup::Dark, QColor( 110, 110, 110) );
    cg.setColor( QColorGroup::Mid, QColor( 146, 146, 146) );
    cg.setColor( QColorGroup::Text, QColor( 0, 0, 255) );
    cg.setColor( QColorGroup::BrightText, white );
    cg.setColor( QColorGroup::ButtonText, black );
    cg.setColor( QColorGroup::Base, white );
    cg.setColor( QColorGroup::Background, QColor( 255, 255, 169) );
    cg.setColor( QColorGroup::Shadow, black );
    cg.setColor( QColorGroup::Highlight, QColor( 0, 0, 128) );
    cg.setColor( QColorGroup::HighlightedText, white );
    pal.setActive( cg );
    cg.setColor( QColorGroup::Foreground, QColor( 0, 37, 172) );
    cg.setColor( QColorGroup::Button, QColor( 220, 220, 220) );
    cg.setColor( QColorGroup::Light, white );
    cg.setColor( QColorGroup::Midlight, QColor( 253, 253, 253) );
    cg.setColor( QColorGroup::Dark, QColor( 110, 110, 110) );
    cg.setColor( QColorGroup::Mid, QColor( 146, 146, 146) );
    cg.setColor( QColorGroup::Text, QColor( 0, 0, 255) );
    cg.setColor( QColorGroup::BrightText, white );
    cg.setColor( QColorGroup::ButtonText, black );
    cg.setColor( QColorGroup::Base, white );
    cg.setColor( QColorGroup::Background, QColor( 255, 255, 169) );
    cg.setColor( QColorGroup::Shadow, black );
    cg.setColor( QColorGroup::Highlight, QColor( 0, 0, 128) );
    cg.setColor( QColorGroup::HighlightedText, white );
    pal.setInactive( cg );
    cg.setColor( QColorGroup::Foreground, QColor( 128, 128, 128) );
    cg.setColor( QColorGroup::Button, QColor( 220, 220, 220) );
    cg.setColor( QColorGroup::Light, white );
    cg.setColor( QColorGroup::Midlight, QColor( 253, 253, 253) );
    cg.setColor( QColorGroup::Dark, QColor( 110, 110, 110) );
    cg.setColor( QColorGroup::Mid, QColor( 146, 146, 146) );
    cg.setColor( QColorGroup::Text, QColor( 0, 0, 255) );
    cg.setColor( QColorGroup::BrightText, white );
    cg.setColor( QColorGroup::ButtonText, QColor( 128, 128, 128) );
    cg.setColor( QColorGroup::Base, white );
    cg.setColor( QColorGroup::Background, QColor( 255, 255, 169) );
    cg.setColor( QColorGroup::Shadow, black );
    cg.setColor( QColorGroup::Highlight, QColor( 0, 0, 128) );
    cg.setColor( QColorGroup::HighlightedText, white );
    pal.setDisabled( cg );
  mainlabel->setPalette( pal );
  mainlabel->setMinimumSize(mainlabel->sizeHint());
  topLayout->addWidget(mainlabel);
  topLayout->addSpacing(7);
  stattab = new StatTab(this);
  topLayout->addWidget(stattab);

}
