/***************************************************************************
    description          : pref_status.h
    begin                : Wed Apr 12 2000
    copyright            : (C) 2000 by Florian Veskov
    email                : napalmbox@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PREF_STATUS_H
#define PREF_STATUS_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qlabel.h>
#include <qlined.h>
#include <qgrpbox.h>
#include <qchkbox.h>
#include <qtabwidget.h>
#include "corewidget.h"

class AwayWidget : public QWidget {
  Q_OBJECT
public:
  AwayWidget(QWidget *);
  void setInfo(int, int, bool, bool);
  unsigned short away() { return awayline->value(); };
  unsigned short na()   { return naline->value(); };
  bool enable()         { return enablebox->isChecked(); };
  bool awaytona()       { return awaytonabox->isChecked(); };
public slots:
signals:
protected:
  QCheckBox *enablebox, *awaytonabox;
  KIntegerLine *awayline, *naline;
protected slots:
private:
private slots:
};

//////////////////////////////////////////////////////////////////
class StatTab : public QTabWidget {
    Q_OBJECT
public:
    StatTab(QWidget *parent = NULL, const char *name = NULL);

protected:
     AwayWidget *awaywidget;
};
////////////////////////////////////////////////////////////////////////
class StatWidget : public QWidget {
    Q_OBJECT
public:
    StatWidget(QWidget *parent = NULL, const char *name = NULL);
    StatTab *stattab;
protected:
};
#endif
